question

Upvotes
Accepted
21 6 7 14

Java 17 : RFA API compatibility

Hello,

We are currently upgrading our product MX.3 from java 11 to java 17 and we are using the following RFA API for the entitlement component and we wonder if the version is compatible with Java 17 :

rfaj8.2.0.L2.jar and especially this dacs version packaged inside (dacs7.3.0.F1).

If no is there any RFA API version with a dacs library compatible with java 17 ?

Thanks,
Henri

rfa-apijavaDACS
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvotes
Accepted
29.1k 33 11 15

Hello @Henri.GARDON ,

Please refer to API Compatibility Matrix, tab "Compiler", in Legacy RFA Java 8.2 see Oracle JDK 1.11 certified, JDK 1.17 is not included.

As per note below, this may work, however "Clients may try to run products on other versions of compilers but all issues must be reproduced by the client on one of the supported compilers above."

As RFA is currently legacy, you may consider migrating to strategic RTSDK EMA Java, the article Migrating from the Legacy Robust Foundation API (RFA) to the Enterprise Message API (EMA) may be of help if you wish to learn more.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.